<ion-header [translucent]="true">
  <ion-toolbar>
    <ion-title>parent_reports</ion-title>
  </ion-toolbar>
</ion-header>

<!-- <ion-content [fullscreen]="true">
  <ion-header collapse="condense">
    <ion-toolbar>
      <ion-title size="large">parent_reports</ion-title>
    </ion-toolbar>
  </ion-header>
</ion-content> -->

<ion-content fullscreen>
  <div *ngFor="let item of groupedReport">
    <ion-card>
      <ion-item>
        <a class="item item-text-wrap item-icon-left" [href]="item.pdfUrl" title="Download Report">
          <ion-item>
            <ion-avatar slot="start">
              <img src="../../assets/imgs/pdf.png">
            </ion-avatar>
            <ion-label>
              <h2>{{ item.CategoryName }} ({{ item.Type }})</h2>
            </ion-label>
          </ion-item>
          
          <ion-label slot="end" class="ion-float-right">{{ item.createdOn | date: "h:mm a" }}</ion-label>

          <p *ngIf="item.Type === 'Daily'"><i>{{ item.StartTime | date: "dd MMM yyyy" }}</i></p>
          <p *ngIf="item.Type !== 'Daily'">From <em>{{ item.StartTime | date: "MMM dd yyyy" }}</em> to <i>{{ item.EndTime | date: "MMM dd yyyy" }}</i></p>
          
        </a>
      </ion-item>
    </ion-card>
  </div>
</ion-content>
